Retrieve a sticky
GET/api/v1/workspaces/{workspace_slug}/stickies/{resource_id}/
Retrieve a sticky by its ID
Path Parameters
resource_id:requiredstringThe unique identifier of the resource.
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
Scopes
stickies:read
Retrieve a sticky
bash
curl -X GET \
"https://api.plane.so/api/v1/workspaces/my-workspace/stickies/resource-id-uuid/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"python
import requests
response = requests.get(
"https://api.plane.so/api/v1/workspaces/my-workspace/stickies/resource-id-uuid/",
headers={"X-API-Key": "your-api-key"}
)
print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/stickies/resource-id-uuid/", {
method: "GET",
headers: {
"X-API-Key": "your-api-key",
},
});
const data = await response.json();Response200
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Example Name",
"description_html": "<p>Example content</p>",
"created_at": "2024-01-01T00:00:00Z"
}
